jif.ast

## Interface ParamDecl

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, java.io.Serializable
  All Known Implementing Classes:
    ParamDecl_c

      public interface ParamDecl
      extends polyglot.ast.Node

  The AST node representing a label/principal parameter declaration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCovariantLabel()`
    `boolean` | `isInvariantLabel()`
    `boolean` | `isLabel()`
    `boolean` | `isPrincipal()`
    `ParamInstance.Kind` | `kind()`
    `ParamDecl` | `kind(ParamInstance.Kind kind)`
    `java.lang.String` | `name()`
    `ParamDecl` | `name(java.lang.String name)`
    `ParamInstance` | `paramInstance()`
    `ParamDecl` | `paramInstance(ParamInstance pi)`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### name

          java.lang.String name()

    - #### name

          ParamDecl name(java.lang.String name)

    - #### kind

          ParamInstance.Kind kind()

    - #### kind

          ParamDecl kind(ParamInstance.Kind kind)

    - #### paramInstance

          ParamInstance paramInstance()

    - #### paramInstance

          ParamDecl paramInstance(ParamInstance pi)

    - #### isPrincipal

          boolean isPrincipal()

    - #### isLabel

          boolean isLabel()

    - #### isInvariantLabel

          boolean isInvariantLabel()

    - #### isCovariantLabel

          boolean isCovariantLabel()